Bug 2749 - No dislay of GMD (245h) if XSLT is off
Summary: No dislay of GMD (245h) if XSLT is off
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P3 normal (vote)
Assignee: Owen Leonard
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-10-31 04:15 UTC by Nicole C. Engard
Modified: 2012-10-25 23:09 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 00:55:26 UTC


---- Reported by nengard@gmail.com 2008-10-31 04:15:00 ----

With XSL on, the GMD (245h) only displays in the search results if there is also a 245b.  See: http://seu.kohalibrary.com/cgi-bin/koha/opac-search.pl?q=beach+boys (all should have a GMD) and http://opac-nce.dev.kohalibrary.com/cgi-bin/koha/opac-search.pl?q=nicole (click first result to see the GMD display)



---- Additional Comments From oleonard@myacpl.org 2008-11-26 06:13:45 ----

It does seem that there are a number of subfields that only display if b is present (Line 402):

 <xsl:if test="marc:subfield[@code='b']">
                <xsl:text> : </xsl:text>
                <xsl:call-template name="chopPunctuation">
                    <xsl:with-param name="chopString">
                        <xsl:call-template name="specialSubfieldSelect">
                            <xsl:with-param name="axis">b</xsl:with-param>
                            <xsl:with-param name="anyCodes">b</xsl:with-param>
                            <xsl:with-param name="afterCodes">afghk</xsl:with-param>
                        </xsl:call-template>
                    </xsl:with-param>
                </xsl:call-template>
            </xsl:if>

...but understanding why or how to arrange for one without the other is beyond my expertise. Josh?



---- Additional Comments From oleonard@myacpl.org 2010-03-09 14:32:56 ----

Things seemed to have changed with this since the bug was first filed. Here's what I see:

Detail page, OPAC, XSLT on: 245h and 245b show fine
Detail page, OPAC, XSLT off: No 245h with our without 245b

Results page, OPAC, XSLT on: 245h and 245b show fine
Results page, OPAC, XSLT off: No 245h with our without 245b

Detail page, Staff Client, XSLT on: 245h and 245b show fine
Detail page, Staff Client, XSLT off: No 245h with our without 245b

Results page, Staff Client, no XSLT: No 245h with our without 245b

Summary: No XSLT, no GMD.



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 00:55 UTC  ---

This bug was previously known as _bug_ 2749 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=2749

Actual time not defined. Setting to 0.0
CC member bchurch@ptfs.com does not have an account here

Comment 1 Owen Leonard 2010-07-26 19:42:29 UTC
Now that subtitle is being displayed using the "Keywords to MARC mapping" feature, it is possible to tie 245h to subtitle and display it that way. Is that an acceptable solution?
Comment 2 Nicole C. Engard 2010-08-02 16:48:13 UTC
what if there is a 245b and a 245h?  How would that work?  Seems like we need to add a keyword for the GMD.

I did test and this is still an issue.
Comment 3 Owen Leonard 2011-05-20 14:22:42 UTC
I have added 245n 245b 245p and 245h to mapping for the keyword "subtitle." This works to get it displayed, although I'm not sure the ordering is technically correct. To me this is an acceptable solution because I don't care about the semantic difference between "subtitle" and "gmd" as long as they're both displaying. If we added ordering to that system it might be acceptable to catalogers as well.
Comment 4 Ian Walls 2011-08-29 16:59:31 UTC
This appears to be solved by Keyword to MARC Mappings.  I'm going to mark this as Resolved, then.  Please reopen if you disagree.